---
- name: check if repository exists
  stat:
    path: "{{ gitlab_home }}/.git/config"
  register: stat_result

- name: checkout some stuff
  command: git checkout -- db/schema.rb locale
  args:
    chdir: "{{ gitlab_home }}"
  when: stat_result.stat.exists

- name: update gitlab source
  git:
    repo: "{{ gitlab_repo }}"
    dest: "{{ gitlab_home }}"
    version: "{{ gitlab_version }}"
    umask: '022'
  diff: false
  when: not ansible_check_mode
  notify:
    - restart gitlab-mailroom
    - restart gitlab-sidekiq
    - reload gitlab-unicorn

- name: install bundle
  command: >
    {{ ruby_bundle }} install -j2 --deployment --without development test mysql aws kerberos
  args:
    chdir: "{{ gitlab_home }}"
